# SON-R1.5.06

### **User Stories/Defects Testing** <a href="#son-feb18-feb28-peerplays-release0.3build2-userstories-defectstesting" id="son-feb18-feb28-peerplays-release0.3build2-userstories-defectstesting"></a>

Release details: [https://peerplays.atlassian.net/projects/SON/versions/10158/tab/release-report-all-issues](https://peerplays.atlassian.net/projects/SON/versions/10158/tab/release-report-all-issues)

**Accepted**

| P                                                                               | T                                                                                                             | Key                                                       | Summary                                                                                                                    | Status |
| ------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- | ------ |
| ![Highest](https://peerplays.atlassian.net/images/icons/priorities/highest.svg) | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)   | [SON-353](https://peerplays.atlassian.net/browse/SON-353) | [PW transfer is not happening](https://peerplays.atlassian.net/browse/SON-353)                                             | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype) | [SON-134](https://peerplays.atlassian.net/browse/SON-134) | [\[Development\] Bitcoin address scripting mechanism](https://peerplays.atlassian.net/browse/SON-134)                      | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype) | [SON-135](https://peerplays.atlassian.net/browse/SON-135) | [\[Development\] Refund deposited BTC when more than 1/3rd SONs are down](https://peerplays.atlassian.net/browse/SON-135)  | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Task](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10318\&avatarType=issuetype)  | [SON-315](https://peerplays.atlassian.net/browse/SON-315) | [Decrease dependancy on bitcoin node wallet](https://peerplays.atlassian.net/browse/SON-315)                               | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Task](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10318\&avatarType=issuetype)  | [SON-330](https://peerplays.atlassian.net/browse/SON-330) | [Implement 1 or m-of-n multisig address script, to support refund](https://peerplays.atlassian.net/browse/SON-330)         | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)   | [SON-349](https://peerplays.atlassian.net/browse/SON-349) | [Fees not considered on BTC asset payout](https://peerplays.atlassian.net/browse/SON-349)                                  | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)   | [SON-350](https://peerplays.atlassian.net/browse/SON-350) | [Withdraw unhandled when PW has not enough balance to pay (v2?)](https://peerplays.atlassian.net/browse/SON-350)           | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)   | [SON-351](https://peerplays.atlassian.net/browse/SON-351) | [Withdraw transaction fee is deducted from PW](https://peerplays.atlassian.net/browse/SON-351)                             | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)   | [SON-354](https://peerplays.atlassian.net/browse/SON-354) | [Change in sidechain\_public\_key of active son doesn't trigger PW change](https://peerplays.atlassian.net/browse/SON-354) | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)   | [SON-359](https://peerplays.atlassian.net/browse/SON-359) | [Exception in processing pending deposit transaction](https://peerplays.atlassian.net/browse/SON-359)                      | DONE   |
| ![Low](https://peerplays.atlassian.net/images/icons/priorities/low.svg)         | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)   | [SON-347](https://peerplays.atlassian.net/browse/SON-347) | [sidechain\_transaction \_object with object id "0.0.0"](https://peerplays.atlassian.net/browse/SON-347)                   | DONE   |



**Failed**

[https://peerplays.atlassian.net/browse/SON-328](https://peerplays.atlassian.net/browse/SON-328)



